it-swarm-eu.dev

Il percorso di aggiornamento non esiste. / Errore durante l'aggiornamento di COM_INSTALLER_TYPE_TYPE_

Dall'aggiornamento a J! 3.9.0 Ricevo questo errore su OGNI aggiornamento dell'estensione, tranne per i pochi che usano una routine di aggiornamento che sembra bypassare il normale funzionamento di Joomla: EasyBlog di StackIdea e Uniforme di JoomlaShine sono 2 che si aggiorneranno ancora OK.

Tuttavia, tutto il resto (TUTTI che sono stati felicemente aggiornati dall'area di aggiornamento in passato) fallisce. Le estensioni sono di tutti e 3 i tipi (componente, modulo e plugin) e sono sia a pagamento che gratuite. Tutti richiedono l'installazione manuale per l'aggiornamento.

Ho controllato il mio percorso/tmp ed è corretto e scrivibile. configuration.php è, come mi aspetterei, non scrivibile, ma ho visto in un altro post lo screenshot di qualche altro permesso di cartelle che lo mostra come scrivibile, quindi l'ho cambiato in 777. Non riesco ancora a installare nulla.

Mentre gestisco circa 80 siti dispari, questa è una perdita di tempo importante. Qualcun altro sta vivendo questo?

1
Ian Shere

OK, ho trovato il problema e la soluzione, ma non la causa!

Sono andato al thread sul sito di RegularLabs - https://www.regularlabs.com/forum/exten ... ions # 83452 . In questo, Peter parla di "alcune" impostazioni del server (non sa quale - o al momento non ha scritto) cambiando il caso dei nomi delle intestazioni. Poiché Joomla è sensibile al maiuscolo/minuscolo, l'installazione non è riuscita.

Ha pubblicato una patch per librerie/src/Installer/InstallerHelper/php che ho copiato e salvato, quindi caricato su 2 dei miei siti. Gli aggiornamenti precedentemente non riusciti ora hanno funzionato perfettamente.

0
Ian Shere